Skip to main content

[GET] List In-App Products

You can retrieve the list of In-App Products associated with your application through the Aptoide Connect Developer Console or programmatically using this API endpoint

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/applications/{applicationName}/consumables

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
applicationNamestringThe unique package name of the application (e.g., com.example.test).

Query Parameters

Parameter

Type

Required

Description

operatingSystem

string (URL)or file

Optional (default: android)

Operating system for which the in-app products should be retrieved. Possible values:
android
ios

limit

number

Optional (default: 50)

Maximum number of records to return in the response.

cursor

string

Optional

Cursor for pagination, indicating where to continue fetching data from a previous response.

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns an array of in-app product objects associated with the specified application.

{
"data": [
{
"id": "H3UKF4OKVPBXGBJM",
"sku": "product01",
"status": "INACTIVE",
"origin": "MANUAL",
"addedTimestamp": "2024-09-20 15:40:03",
"modifiedTimestamp": "2024-09-20 15:40:11",
"locale": {
"locale": "es",
"title": "Titulo",
"description": "Descripcion"
},
"referencePrice": {
"amount": 1,
"currency": "USD"
}
}
],
"nextCursor": "n2vxl99r8bfba_GX3"
}